<?php
/**
 * @package Conexão Wc Mercado Livre
 * @author Luigi Muzy
 * @license
 * @copyright 2020 SAFRA Web
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

add_filter( 'cron_schedules', 'auto_upgrade_once_a_day' );
function auto_upgrade_once_a_day( $schedules ) {
    $schedules['once_a_day'] = array(
            'interval'  => 86400,
            'display'   => __( 'Once a day', 'textdomain' )
    );
    return $schedules;
}

// Schedule an action if it's not already scheduled
if ( ! wp_next_scheduled( 'auto_upgrade_once_a_day' ) ) {
    wp_schedule_event( time(), 'once_a_day', 'auto_upgrade_once_a_day' );
}

// Hook into that action that'll fire every three minutes
add_action( 'auto_upgrade_once_a_day', 'once_a_day_event_func' );
function once_a_day_event_func() {
  if(!class_exists('meliProduct')) require 'wcml_v2/include/all_include.php';

  $wcmeliProduct = new meliProduct;
  include WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_get.php';
  if(isset($return)) :
    $productAttributes['token'] = $wcmeliProduct->accessToken;
    $productAttributes['f'] = get_site_url();
    $productData = $wcmeliProduct->updatewcsa2meli(json_encode($productAttributes),base64_decode($return[0]),base64_decode($return[1]));

    $body = array(
        'upfull' => $productData
    );

    $args = array(
        'body' => $body,
        'timeout' => '600',
        'redirection' => '5',
        'httpversion' => '1.0',
        'blocking' => true,
        'headers' => array(),
        'cookies' => array()
    );
    $url = 'https://sa2.com.br/wcsa2meli/wcmeli.php';
    $result = wp_remote_retrieve_body(wp_remote_post($url, $args));
    $result = (array)json_decode($result,true);

    if(isset($result['upfull'])) {
      if(isset($result['upfull']['o'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_order.php',$result['upfull']['o']);
      if(isset($result['upfull']['pi'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_product_images.php',$result['upfull']['pi']);
      if(isset($result['upfull']['gp'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_grouped_product.php',$result['upfull']['gp']);
      if(isset($result['upfull']['ep'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_external_product.php',$result['upfull']['ep']);
      if(isset($result['upfull']['vp'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_variable_product.php',$result['upfull']['vp']);
      if(isset($result['upfull']['oqs'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_order_questions_sales.php',$result['upfull']['oqs']);
      if(isset($result['upfull']['toq'])) file_put_contents(WCMELI_PLUGIN_PATH.'template-order-questions.php',$result['upfull']['toq']);
      if(isset($result['upfull']['sp'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/includes/wcmeli_simple_product.php',$result['upfull']['sp']);
      if(isset($result['upfull']['amwpo'])) file_put_contents(WCMELI_PLUGIN_PATH.'wcml_v2/include/apimeliwrapperphp/include/orders.php',$result['upfull']['amwpo']);
      if(isset($result['upfull']['t1'])) file_put_contents(WCMELI_PLUGIN_PATH.'template-1.php',$result['upfull']['t1']);

      add_settings_error( 'conexaowcmlautoupgrade_success', 'conexaowcmlautoupgrade_success', __( 'O plugin foi atualizado automaticamente com sucesso!' ),'success' );
      settings_errors( 'conexaowcmlautoupgrade_success' );
    }
  endif;
}
?>
